import "Turbine.UI";
import "Turbine.UI.Lotro";

-- a toggle button to put on the map
MapButton = class( Turbine.UI.Button );

function MapButton:Constructor( control,x,y )
	Turbine.UI.Button.Constructor( self );
	
	self.isactive = false;
	
	self:SetParent( control );
	self:SetBackground("MathPlugins/RTStuff/Resources/inactive.tga");
	self:SetSize(16,16);
	self:SetPosition( x-8,y-8 );
	
	self.Toggle = function( )
		self.isactive = not self.isactive;
		if self.isactive then
			self.Activate( );
		else
			self.Deactivate( );
		end
	end
	
	self.Click = function(sender, args)
		self.Toggle();
	end
	
	self.Activate = function()
		self.isactive = true;
		self:SetBackground( "MathPlugins/RTStuff/Resources/active.tga" );
	end
	
	self.Deactivate = function()
		self.isactive = false;
		self:SetBackground( "MathPlugins/RTStuff/Resources/inactive.tga" );
	end
	
	self.SetLocked = function( button, bool )
		if bool then
			button.Click = nil;
		else
			button.Click = function(sender, args) button.Toggle() end
		end
	end
end